szha closed pull request #9863: Fix broken website build and update version 
number
URL: https://github.com/apache/incubator-mxnet/pull/9863
 
 
   

This is a PR merged from a forked repository.
As GitHub hides the original diff on merge, it is displayed below for
the sake of provenance:

As this is a foreign pull request (from a fork), the diff is supplied
below (as it won't show otherwise due to GitHub magic):

diff --git a/docs/build_version_doc/build_all_version.sh 
b/docs/build_version_doc/build_all_version.sh
index bd3758b4b2..6a37815fd5 100755
--- a/docs/build_version_doc/build_all_version.sh
+++ b/docs/build_version_doc/build_all_version.sh
@@ -21,7 +21,10 @@
 # Built files are stored in $built
 # Version numbers are stored in $tag_list.
 # Version numbers are ordered from latest to old and final one is master.
-tag_list="1.0.0 0.12.1 0.12.0 0.11.0 master"
+set -e
+set -x
+
+tag_list="1.1.0 1.0.0 0.12.1 0.12.0 0.11.0 master"
 
 mxnet_url="https://github.com/apache/incubator-mxnet.git";
 mxnet_folder="apache_mxnet"
diff --git a/docs/build_version_doc/build_doc.sh 
b/docs/build_version_doc/build_doc.sh
index b13fa5c191..eefc81e362 100755
--- a/docs/build_version_doc/build_doc.sh
+++ b/docs/build_version_doc/build_doc.sh
@@ -16,7 +16,8 @@
 # KIND, either express or implied.  See the License for the
 # specific language governing permissions and limitations
 # under the License.
-
+set -e
+set -x
 
 web_url="$1"
 web_folder="VersionedWeb"
@@ -57,7 +58,7 @@ then
     cat $tag_list_file
     tests/ci_build/ci_build.sh doc python docs/build_version_doc/AddVersion.py 
--file_path "docs/_build/html/" --current_version "$latest_tag"
     tests/ci_build/ci_build.sh doc python 
docs/build_version_doc/AddPackageLink.py \
-                                          --file_path 
"docs/_build/html/get_started/install.html" --current_version "$latest_tag"
+                                          --file_path 
"docs/_build/html/install/index.html" --current_version "$latest_tag"
     cp -a "docs/_build/html/." "$local_build"
     cp $tag_list_file "$local_build/tag.txt"
     rm -rf "$web_folder/.git"


 

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
us...@infra.apache.org


With regards,
Apache Git Services

Reply via email to